@charset 'utf-8';

main.page {
  display: flex;
  min-height: 100lvh;
  background-color: var(--tc_blue);
}
@keyframes fade_in {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
main.page >.title {
  flex-shrink: 0;
  position: sticky;
  top: 0;
  z-index: 1;
  box-sizing: border-box;
  max-width: 30vw;
  min-width: 30rem;
  height: 100lvh;
  padding: 6rem 3rem 3rem 3rem;
  font-size: 6rem;
  font-weight: bold;
  color: var(--bc_white);
  background-color: var(--tc_blue); ?>
  /*
  opacity: 0;
  animation: fade_in 0.3s ease-in forwards;
  */
}
@media screen and (max-width:960px){
  main.page {
    display: block;
  }
  main.page >.title {
    position: initial;
    overflow: hidden;
    width: initial;
    max-width: initial;
    min-width: initial;
    height: initial;
    padding: 4rem 2rem 2rem 2rem;
    font-size: 3rem;
  }
}
main.page >.contents {
  flex-grow: 1;
  padding: 2rem;
  background-color: var(--bc_white);
}
main.page >.contents .box_type1 {
  max-width: 48rem;
  margin: 2rem auto 4rem auto;
}
main.page >.contents .box_type1 h2 {
  text-align: center;
  font-size: 2rem;
  color: var(--tc_blue);
}
main.page >.contents .box_type1 ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1rem;
  margin: 1rem 0;
}
main.page >.contents .box_type1 ul li a {
  border-bottom: solid rgba(0,0,0,0) 1px;
  font-size: 1.25rem;
  color: var(--bc_black);
  transition: 0.2s;
}
main.page >.contents .box_type1 ul li a[aria-current=page],
main.page >.contents .box_type1 ul li a:hover {
  border-bottom-color: var(--tc_blue);
  transition: 0.2s;
}
main.page >.contents .box_type1 ul li a img {
  max-width: 100%;
  height: auto;
}
@media screen and (max-width:960px){
  main.page >.contents {
    padding: 1.5rem;
  }
}

/* contact */
main.page.contact .hidden-fields-container {
  display: none;
}
main.page.contact form label > span {
  display: block;
}
main.page.contact form input[type=text],
main.page.contact form input[type=email],
main.page.contact form textarea {
  display: block;
  box-sizing: border-box;
  width: 100%;
  padding: 1rem;
  font-family: serif;
  font-size: 1rem;
}
main.page.contact form input[type=submit] {
  margin-top: 1rem;
  padding: 1rem 2rem;
  border: none;
  border-radius: 1rem;
  font-family: serif;
  font-size: 1rem;
  color: var(--bc_white);
  background-color: var(--tc_blue);
}

